#### Description:

The IntraMap class provides a specialised form of Mapping which encapsulates a privately-defined coordinate transformation other AST Mapping. This allows you to create Mappings that perform any conceivable coordinate transformation.

However, an IntraMap is intended for use within a single program or a private suite of software, where all programs have access to the same coordinate transformation functions (i.e. can be linked against them). IntraMaps should not normally be stored in datasets which may be exported for processing by other software, since that software will not have the necessary transformation functions available, resulting in an error.

You must register any coordinate transformation functions to be used using astIntraReg before creating an IntraMap.

#### Constructor Function

astIntraMap (also see astIntraReg)

#### Inheritance

The IntraMap class inherits from the Mapping class.

#### Attributes

In addition to those attributes common to all Mappings, every IntraMap also has the following attributes:

- IntraFlag: IntraMap identification string

#### Functions

The IntraMap class does not define any new functions beyond those which are applicable to all Mappings.
Copyright (C) 2021 East Asian Observatory